# Adapted for my use case from the flake.nix contained in https://gitlab.com/brendan.ie/v1
{
    description = "My Personal site";

    inputs = {
        utils.url = "github:numtide/flake-utils";
        bfom.url = "gitlab:silver_rust/bfom";
    };

    outputs = { self, nixpkgs, utils, bfom }: utils.lib.eachDefaultSystem (system:
    let
        pkgs = nixpkgs.legacyPackages."${system}";
    in rec {
        defaultPackage = pkgs.stdenv.mkDerivation {
            name = "eoghanconlon.ie";
            src = self;
            buildPhase = "${bfom.defaultPackage."${system}"}/bin/cargo-bfom";
            installPhase = "mkdir -p $out; cp -R build/* $out";
        };
    });
}